/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package nl.cloudfarming.client.fleet;

import org.netbeans.spi.project.ui.LogicalViewProvider;
import org.openide.filesystems.FileObject;
import org.openide.loaders.DataFolder;
import org.openide.nodes.Node;

/**
 *
 * @author maciek
 */
class ImplementProjectLogicalView implements LogicalViewProvider {

    private ImplementProject project;

    public ImplementProjectLogicalView(ImplementProject project) {
        this.project = project;
    }

    @Override
    public Node createLogicalView() {
        //Get the Text directory, creating if deleted
        FileObject projectDirectory = project.getProjectDirectory();
        DataFolder implementFolder = DataFolder.findFolder(projectDirectory);

        //This FilterNode will be our project node
        return new ImplementProjectNode(implementFolder.getNodeDelegate(), project);
    }

    @Override
    public Node findPath(Node node, Object o) {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
